<?php
	include_once("../conexao.php");
	include_once("../componentes/ediheaderarquivo.php");
	include_once("../componentes/xuxu.php");
    include('Net/SFTP.php');
    
	$array = array(
		"titulo"=>"Estou indo buscar os arquivos do dia " . date("d/m/y") . " no SFTP.",
		"idacaotipo" => 6,
		"idusuarioregistro" => 100009
	);
	$xuxucomp = new Xuxu();
	$xuxucomp->EnviarAcao($array);
	
	$ehacomp = new EdiHeaderArquivo();
	$ehacomp->link = $link;
	$ehacomp->idediheaderarquivo = "";
	
    $host = "ftp.adiq.com.br";
    $usuario = "xuliz";
    $senha = "F1v3M3hf";
    $sftp = new Net_SFTP($host);

    if (!$sftp->login($usuario, $senha)) {
        exit('Login Failed');
    }

    $pastaoutbound = $sftp->rawlist('./Outbound/');
    foreach($pastaoutbound as $arquivospasta)
    {
		$arquivo = $arquivospasta["filename"];
		$tipo = substr($arquivo,0,3);
		$caminhoftp = "./Outbound/" . $arquivo;
		if($tipo == "EDI")
		{
			$ehacomp->arquivo = $arquivo;
			$ehalistar = $ehacomp->GetAll();
			$existe = "N";
			while($deha = mysqli_fetch_array($ehalistar,MYSQLI_ASSOC))
			{
				$existe = "S";
			}
			if($existe == "N")
			{
				$caminhocopiar = "../anexos/edi/aguardando/" . $arquivo;
				$sftp->get($caminhoftp, $caminhocopiar);
			}			
		}
		else
		{
			
			$caminhocopiar = "../anexos/arquivoremessa/recebidoaguardando/" . $arquivo;
			$sftp->get($caminhoftp, $caminhocopiar);
		}
    }
?>